<?PHP
/**
 * $Id: SPAFConfig.php,v 1.2 2004/03/17 08:28:00 martin Exp $
 */

class SPAFConfig
{
    var $file;

    function SPAFConfig($file) {

        $fp = fopen ($file,'r') or
            dieError("Cannot open config file: $file<BR>\n");

        while (! feof($fp)) {
            if ($line = fgets($fp, 1024)) {
                list($param,$value) = split(':',$line);
                $param = trim($param);
                $value = trim($value);
                // push values in an array
                if($param) {
                     $this->params[$param] = $value;
                }
            }
        }
        fclose($fp);
    }


    /**
     *
     * Returns an array with configure values for the parameter
     * $param.
     *
     */
    function getValueList($param) {
        return explode(',', $this->params[$param]);
    }


    /**
     *
     * Returns an array with configure values for the parameter
     * $param.
     *
     */
    function getValuesList() {
        foreach ($this->params as $param => $value) {
            $retval[$param] = explode(',', $this->params[$param]);
        }
        return $retval;
    }


    /**
     *
     * Returns the configure value for the parameter $param. Mulitple
     * values for one parameter will be returned as a comma separated
     * list of values.
     *
     */
    function getValue($param) {
        return $this->params[$param];
    }


    /**
     *
     * Returns an array with all parameter => value pairs of the
     * configuration.
     *
     */
    function getValues() {
        return $this->params;
    }

}


?>