<?PHP
/*
 * $Id: SPAFAuthz.php,v 1.2 2004/03/17 08:28:00 martin Exp $
 */

require 'SPAFConfig.php';

class SPAFAuthz extends SPAF
{

    var $authzConfig;

    /**
     * expects a SPAFSession object.
     */
    function SPAFAuthz() {
        global $CONFDIR;
        $config = new SPAFConfig($CONFDIR.'/authz.conf','r');
        $this->authzConfig = $config->getValuesList();
    }


    /**
     * Return 0 if $access is equal or greater than $page(access)level,
     * otherwise return error number (450).
     *
     */
    function check($page,$access) {
        if ($this->authzConfig[$page]) {
            foreach ($this->authzConfig[$page] as $pagelevel) {
                if ($access >= $pagelevel) {
                    return 0;
                }
            }
        }
       return 450;
    }
}


?>